From 0ecc9297abbe25a69c21cae874beab6a9b3e5e4c Mon Sep 17 00:00:00 2001
From: Stanislav Brabec <sbrabec@suse.com>
Date: Fri, 24 Jul 2015 21:13:59 +0200
Subject: [PATCH 08/12] Rewrite Makefile.am library rules

This automatic edit converts use of older ul_lib*_incdir to LIB*_UL_INC
which includes "-I" and introduces use of LIB*_UL_LIB. It makes staging
builds possible.

Edit was done by followin script:
for AM in `find -name '*.am'` ; do
sed -i '/^[A-Za-z_]*_\(LIBADD\|LDADD\|libadd\|ldadd\)/,/[^\]$/ {
  s/libblkid\.la/$(LIBBLKID_UL_LIB)/g
  s/libfdisk\.la/$(LIBFDISK_UL_LIB)/g
  s/libmount\.la/$(LIBMOUNT_UL_LIB)/g
  s/libsmartcols\.la/$(LIBSMARTCOLS_UL_LIB)/g
  s/libuuid\.la/$(LIBUUID_UL_LIB)/g
 }
 s/-I\$(ul_libblkid_incdir)/$(LIBBLKID_UL_INC)/
 s/-I\$(ul_libmount_incdir)/$(LIBMOUNT_UL_INC)/
 s/-I\$(ul_libfdisk_incdir)/$(LIBFDISK_UL_INC)/
 s/-I\$(ul_libsmartcols_incdir)/$(LIBSMARTCOLS_UL_INC)/
 s/-I\$(ul_libuuid_incdir)/$(LIBUUID_UL_INC)/
 ' $AM

 for LIB in blkid mount fdisk smartcols uuid ; do
  case $AM in
   ./lib$LIB/*|./Makefile.am)
    continue;;
   *)
    LIBUC=LIB`echo $LIB | tr a-z A-Z`
    sed -i "s/BUILD_$LIBUC$/HAVE_$LIBUC/g;s/endif # BUILD_$LIBUC$/endif # HAVE_$LIBUC$/g" $AM;;
  esac
 done
done

Signed-off-by: Stanislav Brabec <sbrabec@suse.com>
---
 bash-completion/Makemodule.am  |  2 +-
 disk-utils/Makemodule.am       | 86 +++++++++++++++++++++---------------------
 libblkid/samples/Makemodule.am | 16 ++++----
 libblkid/src/Makemodule.am     | 14 +++----
 libfdisk/src/Makemodule.am     | 18 ++++-----
 libmount/python/Makemodule.am  |  4 +-
 libmount/src/Makemodule.am     |  8 ++--
 libsmartcols/src/Makemodule.am |  4 +-
 libuuid/src/Makemodule.am      |  6 +--
 login-utils/Makemodule.am      |  4 +-
 misc-utils/Makemodule.am       | 36 +++++++++---------
 sys-utils/Makemodule.am        | 68 ++++++++++++++++-----------------
 tests/helpers/Makemodule.am    |  4 +-
 13 files changed, 135 insertions(+), 135 deletions(-)

diff --git a/bash-completion/Makemodule.am b/bash-completion/Makemodule.am
index 5372ed0..eca1b28 100644
--- a/bash-completion/Makemodule.am
+++ b/bash-completion/Makemodule.am
@@ -168,7 +168,7 @@ endif
 if BUILD_UTMPDUMP
 dist_bashcompletion_DATA += bash-completion/utmpdump
 endif
-if BUILD_LIBUUID
+if HAVE_LIBUUID
 dist_bashcompletion_DATA += bash-completion/uuidgen
 endif
 if BUILD_UUIDD
diff --git a/disk-utils/Makemodule.am b/disk-utils/Makemodule.am
index 3a2b36d..fc02435 100644
--- a/disk-utils/Makemodule.am
+++ b/disk-utils/Makemodule.am
@@ -48,13 +48,13 @@ mkswap_SOURCES = \
 mkswap_LDADD = $(LDADD) libcommon.la
 
 mkswap_CFLAGS = $(AM_CFLAGS)
-if BUILD_LIBUUID
-mkswap_CFLAGS += -I$(ul_libuuid_incdir)
-mkswap_LDADD += libuuid.la
+if HAVE_LIBUUID
+mkswap_CFLAGS += $(LIBUUID_UL_INC)
+mkswap_LDADD += $(LIBUUID_UL_LIB)
 endif
-if BUILD_LIBBLKID
-mkswap_CFLAGS += -I$(ul_libblkid_incdir)
-mkswap_LDADD += libblkid.la
+if HAVE_LIBBLKID
+mkswap_CFLAGS += $(LIBBLKID_UL_INC)
+mkswap_LDADD += $(LIBBLKID_UL_LIB)
 endif
 if HAVE_SELINUX
 mkswap_LDADD += -lselinux
@@ -70,12 +70,12 @@ swaplabel_SOURCES = \
 	lib/swapprober.c \
 	include/swapprober.h
 
-swaplabel_CFLAGS = $(AM_CFLAGS) -I$(ul_libblkid_incdir)
-swaplabel_LDADD = $(LDADD) libblkid.la libcommon.la
+swaplabel_CFLAGS = $(AM_CFLAGS) $(LIBBLKID_UL_INC)
+swaplabel_LDADD = $(LDADD) $(LIBBLKID_UL_LIB) libcommon.la
 
-if BUILD_LIBUUID
-swaplabel_LDADD += libuuid.la
-swaplabel_CFLAGS += -I$(ul_libuuid_incdir)
+if HAVE_LIBUUID
+swaplabel_LDADD += $(LIBUUID_UL_LIB)
+swaplabel_CFLAGS += $(LIBUUID_UL_INC)
 endif
 endif #BUILD_SWAPLABEL
 
@@ -84,8 +84,8 @@ if BUILD_FSCK
 sbin_PROGRAMS += fsck
 dist_man_MANS += disk-utils/fsck.8
 fsck_SOURCES = disk-utils/fsck.c lib/monotonic.c
-fsck_LDADD = $(LDADD) libmount.la libblkid.la libcommon.la $(REALTIME_LIBS)
-fsck_CFLAGS = $(AM_CFLAGS) -I$(ul_libmount_incdir) -I$(ul_libblkid_incdir)
+fsck_LDADD = $(LDADD) $(LIBMOUNT_UL_LIB) $(LIBBLKID_UL_LIB) libcommon.la $(REALTIME_LIBS)
+fsck_CFLAGS = $(AM_CFLAGS) $(LIBMOUNT_UL_INC) $(LIBBLKID_UL_INC)
 endif
 
 
@@ -134,18 +134,18 @@ fdisk_SOURCES = \
 	disk-utils/fdisk-list.c \
 	disk-utils/fdisk-list.h
 
-fdisk_LDADD = $(LDADD) libcommon.la libfdisk.la \
-	      libsmartcols.la libtcolors.la $(READLINE_LIBS)
-fdisk_CFLAGS = $(AM_CFLAGS) -I$(ul_libfdisk_incdir) -I$(ul_libsmartcols_incdir)
+fdisk_LDADD = $(LDADD) libcommon.la $(LIBFDISK_UL_LIB) \
+	      $(LIBSMARTCOLS_UL_LIB) libtcolors.la $(READLINE_LIBS)
+fdisk_CFLAGS = $(AM_CFLAGS) $(LIBFDISK_UL_INC) $(LIBSMARTCOLS_UL_INC)
 
-if BUILD_LIBBLKID
-fdisk_CFLAGS += -I$(ul_libblkid_incdir)
-fdisk_LDADD += libblkid.la
+if HAVE_LIBBLKID
+fdisk_CFLAGS += $(LIBBLKID_UL_INC)
+fdisk_LDADD += $(LIBBLKID_UL_LIB)
 endif
 
-if BUILD_LIBUUID
-fdisk_CFLAGS += -I$(ul_libuuid_incdir)
-fdisk_LDADD += libuuid.la
+if HAVE_LIBUUID
+fdisk_CFLAGS += $(LIBUUID_UL_INC)
+fdisk_LDADD += $(LIBUUID_UL_LIB)
 endif
 
 if HAVE_STATIC_FDISK
@@ -166,18 +166,18 @@ sfdisk_SOURCES = \
 	disk-utils/fdisk-list.c \
 	disk-utils/fdisk-list.h
 
-sfdisk_LDADD = $(LDADD) libcommon.la libfdisk.la \
-	       libsmartcols.la libtcolors.la $(READLINE_LIBS)
-sfdisk_CFLAGS = $(AM_CFLAGS) -I$(ul_libfdisk_incdir) -I$(ul_libsmartcols_incdir)
+sfdisk_LDADD = $(LDADD) libcommon.la $(LIBFDISK_UL_LIB) \
+	       $(LIBSMARTCOLS_UL_LIB) libtcolors.la $(READLINE_LIBS)
+sfdisk_CFLAGS = $(AM_CFLAGS) $(LIBFDISK_UL_INC) $(LIBSMARTCOLS_UL_INC)
 
-if BUILD_LIBUUID
-sfdisk_CFLAGS += -I$(ul_libuuid_incdir)
-sfdisk_LDADD += libuuid.la
+if HAVE_LIBUUID
+sfdisk_CFLAGS += $(LIBUUID_UL_INC)
+sfdisk_LDADD += $(LIBUUID_UL_LIB)
 endif
 
-if BUILD_LIBBLKID
-sfdisk_CFLAGS += -I$(ul_libblkid_incdir)
-sfdisk_LDADD += libblkid.la
+if HAVE_LIBBLKID
+sfdisk_CFLAGS += $(LIBBLKID_UL_INC)
+sfdisk_LDADD += $(LIBBLKID_UL_LIB)
 endif
 
 if HAVE_STATIC_SFDISK
@@ -196,23 +196,23 @@ dist_man_MANS += disk-utils/cfdisk.8
 cfdisk_SOURCES = disk-utils/cfdisk.c
 cfdisk_LDADD = \
 	$(LDADD) \
-	libsmartcols.la \
+	$(LIBSMARTCOLS_UL_LIB) \
 	libcommon.la \
-	libfdisk.la \
+	$(LIBFDISK_UL_LIB) \
 	libtcolors.la
 cfdisk_CFLAGS = \
 	$(AM_CFLAGS) \
-	-I$(ul_libfdisk_incdir) \
-	-I$(ul_libsmartcols_incdir)
+	$(LIBFDISK_UL_INC) \
+	$(LIBSMARTCOLS_UL_INC)
 
-if BUILD_LIBBLKID
-cfdisk_CFLAGS += -I$(ul_libblkid_incdir)
-cfdisk_LDADD += libblkid.la
+if HAVE_LIBBLKID
+cfdisk_CFLAGS += $(LIBBLKID_UL_INC)
+cfdisk_LDADD += $(LIBBLKID_UL_LIB)
 endif
 
-if BUILD_LIBMOUNT
-cfdisk_CFLAGS += -I$(ul_libmount_incdir)
-cfdisk_LDADD += libmount.la
+if HAVE_LIBMOUNT
+cfdisk_CFLAGS += $(LIBMOUNT_UL_INC)
+cfdisk_LDADD += $(LIBMOUNT_UL_LIB)
 endif
 
 if HAVE_SLANG
@@ -250,7 +250,7 @@ resizepart_LDADD = $(LDADD) libcommon.la
 partx_SOURCES = \
 	disk-utils/partx.c \
 	disk-utils/partx.h
-partx_CFLAGS = -I$(ul_libblkid_incdir) -I$(ul_libsmartcols_incdir)
-partx_LDADD = $(LDADD) libblkid.la libcommon.la libsmartcols.la
+partx_CFLAGS = $(LIBBLKID_UL_INC) $(LIBSMARTCOLS_UL_INC)
+partx_LDADD = $(LDADD) $(LIBBLKID_UL_LIB) libcommon.la $(LIBSMARTCOLS_UL_LIB)
 
 endif # BUILD_PARTX
diff --git a/libblkid/samples/Makemodule.am b/libblkid/samples/Makemodule.am
index 0ffbf14..8cd9b54 100644
--- a/libblkid/samples/Makemodule.am
+++ b/libblkid/samples/Makemodule.am
@@ -6,17 +6,17 @@ check_PROGRAMS += \
 	sample-topology
 
 sample_mkfs_SOURCES = libblkid/samples/mkfs.c
-sample_mkfs_LDADD = libblkid.la
-sample_mkfs_CFLAGS = -I$(ul_libblkid_incdir)
+sample_mkfs_LDADD = $(LIBBLKID_UL_LIB)
+sample_mkfs_CFLAGS = $(LIBBLKID_UL_INC)
 
 sample_partitions_SOURCES = libblkid/samples/partitions.c
-sample_partitions_LDADD = libblkid.la
-sample_partitions_CFLAGS = -I$(ul_libblkid_incdir)
+sample_partitions_LDADD = $(LIBBLKID_UL_LIB)
+sample_partitions_CFLAGS = $(LIBBLKID_UL_INC)
 
 sample_superblocks_SOURCES = libblkid/samples/superblocks.c
-sample_superblocks_LDADD = libblkid.la
-sample_superblocks_CFLAGS = -I$(ul_libblkid_incdir)
+sample_superblocks_LDADD = $(LIBBLKID_UL_LIB)
+sample_superblocks_CFLAGS = $(LIBBLKID_UL_INC)
 
 sample_topology_SOURCES = libblkid/samples/topology.c
-sample_topology_LDADD = libblkid.la
-sample_topology_CFLAGS = -I$(ul_libblkid_incdir)
+sample_topology_LDADD = $(LIBBLKID_UL_LIB)
+sample_topology_CFLAGS = $(LIBBLKID_UL_INC)
diff --git a/libblkid/src/Makemodule.am b/libblkid/src/Makemodule.am
index 7682958..1477eed 100644
--- a/libblkid/src/Makemodule.am
+++ b/libblkid/src/Makemodule.am
@@ -117,13 +117,13 @@ libblkid_la_DEPENDENCIES = \
 
 libblkid_la_CFLAGS = \
 	$(SOLIB_CFLAGS) \
-	-I$(ul_libblkid_incdir) \
+	$(LIBBLKID_UL_INC) \
 	-I$(top_srcdir)/libblkid/src
 
-if BUILD_LIBUUID
-libblkid_la_LIBADD += libuuid.la
-libblkid_la_DEPENDENCIES += libuuid.la
-libblkid_la_CFLAGS += -I$(ul_libuuid_incdir)
+if HAVE_LIBUUID
+libblkid_la_LIBADD += $(LIBUUID_UL_LIB)
+libblkid_la_DEPENDENCIES += $(LIBUUID_UL_LIB)
+libblkid_la_CFLAGS += $(LIBUUID_UL_INC)
 endif
 
 libblkid_la_LDFLAGS = \
@@ -151,9 +151,9 @@ check_PROGRAMS += \
 
 blkid_tests_cflags  = -DTEST_PROGRAM $(libblkid_la_CFLAGS)
 blkid_tests_ldflags =
-blkid_tests_ldadd   = libblkid.la
+blkid_tests_ldadd   = $(LIBBLKID_UL_LIB)
 
-if BUILD_LIBUUID
+if HAVE_LIBUUID
 blkid_tests_ldflags += libuuid.la
 blkid_tests_ldadd   += $(UUID_LIBS)
 endif
diff --git a/libfdisk/src/Makemodule.am b/libfdisk/src/Makemodule.am
index 00c3d9f..501ef40 100644
--- a/libfdisk/src/Makemodule.am
+++ b/libfdisk/src/Makemodule.am
@@ -32,12 +32,12 @@ libfdisk_la_SOURCES = \
 
 nodist_libfdisk_la_SOURCES = libfdisk/src/fdiskP.h
 
-libfdisk_la_LIBADD = libcommon.la libuuid.la
+libfdisk_la_LIBADD = libcommon.la $(LIBUUID_UL_LIB)
 
 libfdisk_la_CFLAGS = \
 	$(SOLIB_CFLAGS) \
-	-I$(ul_libuuid_incdir) \
-	-I$(ul_libfdisk_incdir) \
+	$(LIBUUID_UL_INC) \
+	$(LIBFDISK_UL_INC) \
 	-I$(top_srcdir)/libfdisk/src
 
 libfdisk_la_DEPENDENCIES = \
@@ -51,10 +51,10 @@ libfdisk_la_LDFLAGS = \
 	-Wl,--version-script=$(top_srcdir)/libfdisk/src/libfdisk.sym \
 	-version-info $(LIBFDISK_VERSION_INFO)
 
-if BUILD_LIBBLKID
-libfdisk_la_LIBADD += libblkid.la
-libfdisk_la_DEPENDENCIES += libblkid.la
-libfdisk_la_CFLAGS += -I$(ul_libblkid_incdir)
+if HAVE_LIBBLKID
+libfdisk_la_LIBADD += $(LIBBLKID_UL_LIB)
+libfdisk_la_DEPENDENCIES += $(LIBBLKID_UL_LIB)
+libfdisk_la_CFLAGS += $(LIBBLKID_UL_INC)
 endif
 
 EXTRA_DIST += \
@@ -71,9 +71,9 @@ check_PROGRAMS += \
 
 libfdisk_tests_cflags  = -DTEST_PROGRAM $(libfdisk_la_CFLAGS)
 libfdisk_tests_ldflags = libuuid.la -static
-libfdisk_tests_ldadd   = libfdisk.la $(UUID_LIBS)
+libfdisk_tests_ldadd   = $(LIBFDISK_UL_LIB) $(UUID_LIBS)
 
-if BUILD_LIBBLKID
+if HAVE_LIBBLKID
 libfdisk_tests_ldflags += libblkid.la
 endif
 
diff --git a/libmount/python/Makemodule.am b/libmount/python/Makemodule.am
index a8416d6..1b77948 100644
--- a/libmount/python/Makemodule.am
+++ b/libmount/python/Makemodule.am
@@ -13,12 +13,12 @@ pylibmount_la_SOURCES = \
 	libmount/python/tab.c \
 	libmount/python/context.c
 
-pylibmount_la_LIBADD = libmount.la $(PYTHON_LIBS)
+pylibmount_la_LIBADD = $(LIBMOUNT_UL_LIB) $(PYTHON_LIBS)
 
 pylibmount_la_CFLAGS = \
 	$(AM_CFLAGS) \
 	$(PYTHON_CFLAGS) \
-	-I$(ul_libmount_incdir) \
+	$(LIBMOUNT_UL_INC) \
 	-fno-strict-aliasing #-ggdb3 -O0
 
 pylibmount_la_LDFLAGS = \
diff --git a/libmount/src/Makemodule.am b/libmount/src/Makemodule.am
index 11c6324..9ce7240 100644
--- a/libmount/src/Makemodule.am
+++ b/libmount/src/Makemodule.am
@@ -38,14 +38,14 @@ nodist_libmount_la_SOURCES = libmount/src/mountP.h
 
 libmount_la_LIBADD = \
 	libcommon.la \
-	libblkid.la \
+	$(LIBBLKID_UL_LIB) \
 	$(SELINUX_LIBS) \
 	$(REALTIME_LIBS)
 
 libmount_la_CFLAGS = \
 	$(SOLIB_CFLAGS) \
-	-I$(ul_libblkid_incdir) \
-	-I$(ul_libmount_incdir) \
+	$(LIBBLKID_UL_INC) \
+	$(LIBMOUNT_UL_INC) \
 	-I$(top_srcdir)/libmount/src
 
 libmount_la_DEPENDENCIES = \
@@ -79,7 +79,7 @@ check_PROGRAMS += \
 
 libmount_tests_cflags  = -DTEST_PROGRAM $(libmount_la_CFLAGS)
 libmount_tests_ldflags = libblkid.la -static
-libmount_tests_ldadd   = libmount.la $(UUID_LIBS) $(REALTIME_LIBS)
+libmount_tests_ldadd   = $(LIBMOUNT_UL_LIB) $(UUID_LIBS) $(REALTIME_LIBS)
 
 if HAVE_SELINUX
 libmount_tests_ldadd += $(SELINUX_LIBS)
diff --git a/libsmartcols/src/Makemodule.am b/libsmartcols/src/Makemodule.am
index 45a7eea..b346c8f 100644
--- a/libsmartcols/src/Makemodule.am
+++ b/libsmartcols/src/Makemodule.am
@@ -26,7 +26,7 @@ libsmartcols_la_LIBADD = libcommon.la
 
 libsmartcols_la_CFLAGS = \
 	$(SOLIB_CFLAGS) \
-	-I$(ul_libsmartcols_incdir) \
+	$(LIBSMARTCOLS_UL_INC) \
 	-I$(top_srcdir)/libsmartcols/src
 
 libsmartcols_la_DEPENDENCIES = \
@@ -48,7 +48,7 @@ if BUILD_LIBSMARTCOLS_TESTS
 check_PROGRAMS += test_smartcols
 
 libsmartcols_tests_cflags = $(libsmartcols_la_CFLAGS)
-libsmartcols_tests_ldadd  = libsmartcols.la libcommon.la libtcolors.la
+libsmartcols_tests_ldadd  = $(LIBSMARTCOLS_UL_LIB) libcommon.la libtcolors.la
 
 test_smartcols_SOURCES = libsmartcols/src/test.c
 test_smartcols_CFLAGS = $(libsmartcols_tests_cflags)
diff --git a/libuuid/src/Makemodule.am b/libuuid/src/Makemodule.am
index 061aff2..c9bc15e 100644
--- a/libuuid/src/Makemodule.am
+++ b/libuuid/src/Makemodule.am
@@ -1,8 +1,8 @@
 
 check_PROGRAMS += test_uuid
 test_uuid_SOURCES = libuuid/src/test_uuid.c
-test_uuid_LDADD = libuuid.la $(SOCKET_LIBS)
-test_uuid_CFLAGS = -I$(ul_libuuid_incdir)
+test_uuid_LDADD = $(LIBUUID_UL_LIB) $(SOCKET_LIBS)
+test_uuid_CFLAGS = $(LIBUUID_UL_INC)
 
 # includes
 uuidincdir = $(includedir)/uuid
@@ -32,7 +32,7 @@ libuuid_la_LIBADD       = $(SOCKET_LIBS)
 
 libuuid_la_CFLAGS = \
 	 $(SOLIB_CFLAGS) \
-	 -I$(ul_libuuid_incdir) \
+	 $(LIBUUID_UL_INC) \
 	 -Ilibuuid/src
 
 libuuid_la_LDFLAGS = \
diff --git a/login-utils/Makemodule.am b/login-utils/Makemodule.am
index fb58b46..37c60c9 100644
--- a/login-utils/Makemodule.am
+++ b/login-utils/Makemodule.am
@@ -183,8 +183,8 @@ lslogins_SOURCES = \
 	login-utils/lslogins.c \
 	login-utils/logindefs.c \
 	login-utils/logindefs.h
-lslogins_LDADD = $(LDADD) libcommon.la libsmartcols.la
-lslogins_CFLAGS = $(AM_CFLAGS) -I$(ul_libsmartcols_incdir)
+lslogins_LDADD = $(LDADD) libcommon.la $(LIBSMARTCOLS_UL_LIB)
+lslogins_CFLAGS = $(AM_CFLAGS) $(LIBSMARTCOLS_UL_INC)
 if HAVE_SELINUX
 lslogins_LDADD += -lselinux
 endif
diff --git a/misc-utils/Makemodule.am b/misc-utils/Makemodule.am
index e801611..e28eff8 100644
--- a/misc-utils/Makemodule.am
+++ b/misc-utils/Makemodule.am
@@ -63,17 +63,17 @@ endif
 if BUILD_LSLOCKS
 usrbin_exec_PROGRAMS += lslocks
 dist_man_MANS += misc-utils/lslocks.8
-lslocks_LDADD = $(LDADD) libcommon.la libmount.la libsmartcols.la
+lslocks_LDADD = $(LDADD) libcommon.la $(LIBMOUNT_UL_LIB) $(LIBSMARTCOLS_UL_LIB)
 lslocks_SOURCES = misc-utils/lslocks.c
-lslocks_CFLAGS = $(AM_CFLAGS) -I$(ul_libmount_incdir) -I$(ul_libsmartcols_incdir)
+lslocks_CFLAGS = $(AM_CFLAGS) $(LIBMOUNT_UL_INC) $(LIBSMARTCOLS_UL_INC)
 endif
 
 if BUILD_LSBLK
 bin_PROGRAMS += lsblk
 dist_man_MANS += misc-utils/lsblk.8
 lsblk_SOURCES = misc-utils/lsblk.c
-lsblk_LDADD = $(LDADD) libblkid.la libmount.la libcommon.la libsmartcols.la
-lsblk_CFLAGS = $(AM_CFLAGS) -I$(ul_libblkid_incdir) -I$(ul_libmount_incdir) -I$(ul_libsmartcols_incdir)
+lsblk_LDADD = $(LDADD) $(LIBBLKID_UL_LIB) $(LIBMOUNT_UL_LIB) libcommon.la $(LIBSMARTCOLS_UL_LIB)
+lsblk_CFLAGS = $(AM_CFLAGS) $(LIBBLKID_UL_INC) $(LIBMOUNT_UL_INC) $(LIBSMARTCOLS_UL_INC)
 if HAVE_UDEV
 lsblk_LDADD += -ludev
 endif
@@ -83,15 +83,15 @@ if BUILD_UUIDGEN
 usrbin_exec_PROGRAMS += uuidgen
 dist_man_MANS += misc-utils/uuidgen.1
 uuidgen_SOURCES = misc-utils/uuidgen.c
-uuidgen_LDADD = $(LDADD) libuuid.la
-uuidgen_CFLAGS = $(AM_CFLAGS) -I$(ul_libuuid_incdir)
+uuidgen_LDADD = $(LDADD) $(LIBUUID_UL_LIB)
+uuidgen_CFLAGS = $(AM_CFLAGS) $(LIBUUID_UL_INC)
 endif
 
 if BUILD_UUIDD
 usrsbin_exec_PROGRAMS += uuidd
 dist_man_MANS += misc-utils/uuidd.8
-uuidd_LDADD = $(LDADD) libuuid.la libcommon.la
-uuidd_CFLAGS = $(DAEMON_CFLAGS) $(AM_CFLAGS) -I$(ul_libuuid_incdir)
+uuidd_LDADD = $(LDADD) $(LIBUUID_UL_LIB) libcommon.la
+uuidd_CFLAGS = $(DAEMON_CFLAGS) $(AM_CFLAGS) $(LIBUUID_UL_INC)
 uuidd_LDFLAGS = $(DAEMON_LDFLAGS) $(AM_LDFLAGS)
 uuidd_SOURCES = misc-utils/uuidd.c
 if HAVE_SYSTEMD
@@ -113,15 +113,15 @@ if BUILD_BLKID
 sbin_PROGRAMS += blkid
 dist_man_MANS += misc-utils/blkid.8
 blkid_SOURCES = misc-utils/blkid.c
-blkid_LDADD = $(LDADD) libblkid.la libcommon.la
-blkid_CFLAGS = $(AM_CFLAGS) -I$(ul_libblkid_incdir)
+blkid_LDADD = $(LDADD) $(LIBBLKID_UL_LIB) libcommon.la
+blkid_CFLAGS = $(AM_CFLAGS) $(LIBBLKID_UL_INC)
 
 if HAVE_STATIC_BLKID
 sbin_PROGRAMS += blkid.static
 blkid_static_SOURCES = $(blkid_SOURCES)
 blkid_static_LDFLAGS = -all-static
-blkid_static_LDADD = $(LDADD) libblkid.la
-blkid_static_CFLAGS = $(AM_CFLAGS) -I$(ul_libblkid_incdir)
+blkid_static_LDADD = $(LDADD) $(LIBBLKID_UL_LIB)
+blkid_static_CFLAGS = $(AM_CFLAGS) $(LIBBLKID_UL_INC)
 endif
 endif # BUILD_BLKID
 
@@ -129,24 +129,24 @@ endif # BUILD_BLKID
 if BUILD_FINDFS
 sbin_PROGRAMS += findfs
 dist_man_MANS += misc-utils/findfs.8
-findfs_LDADD = $(LDADD) libblkid.la
+findfs_LDADD = $(LDADD) $(LIBBLKID_UL_LIB)
 findfs_SOURCES = misc-utils/findfs.c
-findfs_CFLAGS = $(AM_CFLAGS) -I$(ul_libblkid_incdir)
+findfs_CFLAGS = $(AM_CFLAGS) $(LIBBLKID_UL_INC)
 endif
 
 if BUILD_WIPEFS
 sbin_PROGRAMS += wipefs
 dist_man_MANS += misc-utils/wipefs.8
 wipefs_SOURCES = misc-utils/wipefs.c
-wipefs_LDADD = $(LDADD) libblkid.la libcommon.la
-wipefs_CFLAGS = $(AM_CFLAGS) -I$(ul_libblkid_incdir)
+wipefs_LDADD = $(LDADD) $(LIBBLKID_UL_LIB) libcommon.la
+wipefs_CFLAGS = $(AM_CFLAGS) $(LIBBLKID_UL_INC)
 endif
 
 if BUILD_FINDMNT
 bin_PROGRAMS += findmnt
 dist_man_MANS += misc-utils/findmnt.8
-findmnt_LDADD = $(LDADD) libmount.la libcommon.la libsmartcols.la
-findmnt_CFLAGS = $(AM_CFLAGS) -I$(ul_libmount_incdir) -I$(ul_libsmartcols_incdir)
+findmnt_LDADD = $(LDADD) $(LIBMOUNT_UL_LIB) libcommon.la $(LIBSMARTCOLS_UL_LIB)
+findmnt_CFLAGS = $(AM_CFLAGS) $(LIBMOUNT_UL_INC) $(LIBSMARTCOLS_UL_INC)
 findmnt_SOURCES = misc-utils/findmnt.c
 if HAVE_UDEV
 findmnt_LDADD += -ludev
diff --git a/sys-utils/Makemodule.am b/sys-utils/Makemodule.am
index 9771f6e..467f613 100644
--- a/sys-utils/Makemodule.am
+++ b/sys-utils/Makemodule.am
@@ -34,8 +34,8 @@ dist_man_MANS += sys-utils/lsipc.1
 lsipc_SOURCES =	sys-utils/lsipc.c \
 		sys-utils/ipcutils.c \
 		sys-utils/ipcutils.h
-lsipc_LDADD = $(LDADD) libcommon.la libsmartcols.la
-lsipc_CFLAGS = $(AM_CFLAGS) -I$(ul_libsmartcols_incdir)
+lsipc_LDADD = $(LDADD) libcommon.la $(LIBSMARTCOLS_UL_LIB)
+lsipc_CFLAGS = $(AM_CFLAGS) $(LIBSMARTCOLS_UL_INC)
 endif
 
 if BUILD_RENICE
@@ -67,8 +67,8 @@ if BUILD_FSTRIM
 sbin_PROGRAMS += fstrim
 dist_man_MANS += sys-utils/fstrim.8
 fstrim_SOURCES = sys-utils/fstrim.c
-fstrim_LDADD = $(LDADD) libcommon.la libmount.la
-fstrim_CFLAGS = $(AM_CFLAGS) -I$(ul_libmount_incdir)
+fstrim_LDADD = $(LDADD) libcommon.la $(LIBMOUNT_UL_LIB)
+fstrim_CFLAGS = $(AM_CFLAGS) $(LIBMOUNT_UL_INC)
 if HAVE_SYSTEMD
 systemdsystemunit_DATA += \
 		sys-utils/fstrim.service \
@@ -184,8 +184,8 @@ endif # BUILD_SETARCH
 if BUILD_EJECT
 usrbin_exec_PROGRAMS += eject
 eject_SOURCES =  sys-utils/eject.c lib/monotonic.c
-eject_LDADD = $(LDADD) libmount.la libcommon.la $(REALTIME_LIBS)
-eject_CFLAGS = $(AM_CFLAGS) -I$(ul_libmount_incdir)
+eject_LDADD = $(LDADD) $(LIBMOUNT_UL_LIB) libcommon.la $(REALTIME_LIBS)
+eject_CFLAGS = $(AM_CFLAGS) $(LIBMOUNT_UL_INC)
 dist_man_MANS += sys-utils/eject.1
 endif
 
@@ -194,15 +194,15 @@ if BUILD_LOSETUP
 sbin_PROGRAMS += losetup
 dist_man_MANS += sys-utils/losetup.8
 losetup_SOURCES = sys-utils/losetup.c
-losetup_LDADD = $(LDADD) libcommon.la libsmartcols.la
-losetup_CFLAGS = $(AM_CFLAGS) -I$(ul_libsmartcols_incdir)
+losetup_LDADD = $(LDADD) libcommon.la $(LIBSMARTCOLS_UL_LIB)
+losetup_CFLAGS = $(AM_CFLAGS) $(LIBSMARTCOLS_UL_INC)
 
 if HAVE_STATIC_LOSETUP
 bin_PROGRAMS += losetup.static
 losetup_static_SOURCES = $(losetup_SOURCES)
 losetup_static_LDFLAGS = -all-static
 losetup_static_LDADD = $(losetup_LDADD)
-losetup_static_CFLAGS = $(AM_CFLAGS) -I$(ul_libsmartcols_incdir)
+losetup_static_CFLAGS = $(AM_CFLAGS) $(LIBSMARTCOLS_UL_INC)
 endif
 endif # BUILD_LOSETUP
 
@@ -211,8 +211,8 @@ if BUILD_ZRAMCTL
 sbin_PROGRAMS += zramctl
 dist_man_MANS += sys-utils/zramctl.8
 zramctl_SOURCES = sys-utils/zramctl.c
-zramctl_LDADD = $(LDADD) libcommon.la libsmartcols.la
-zramctl_CFLAGS = $(AM_CFLAGS) -I$(ul_libsmartcols_incdir)
+zramctl_LDADD = $(LDADD) libcommon.la $(LIBSMARTCOLS_UL_LIB)
+zramctl_CFLAGS = $(AM_CFLAGS) $(LIBSMARTCOLS_UL_INC)
 endif
 
 
@@ -220,8 +220,8 @@ if BUILD_PRLIMIT
 usrbin_exec_PROGRAMS += prlimit
 dist_man_MANS += sys-utils/prlimit.1
 prlimit_SOURCES = sys-utils/prlimit.c
-prlimit_LDADD = $(LDADD) libcommon.la libsmartcols.la
-prlimit_CFLAGS = $(AM_CFLAGS) -I$(ul_libsmartcols_incdir)
+prlimit_LDADD = $(LDADD) libcommon.la $(LIBSMARTCOLS_UL_LIB)
+prlimit_CFLAGS = $(AM_CFLAGS) $(LIBSMARTCOLS_UL_INC)
 endif
 
 
@@ -232,13 +232,13 @@ dist_man_MANS += \
 	sys-utils/fstab.5 \
 	sys-utils/umount.8
 mount_SOURCES = sys-utils/mount.c
-mount_LDADD = $(LDADD) libcommon.la libmount.la $(SELINUX_LIBS)
-mount_CFLAGS = $(SUID_CFLAGS) $(AM_CFLAGS) -I$(ul_libmount_incdir)
+mount_LDADD = $(LDADD) libcommon.la $(LIBMOUNT_UL_LIB) $(SELINUX_LIBS)
+mount_CFLAGS = $(SUID_CFLAGS) $(AM_CFLAGS) $(LIBMOUNT_UL_INC)
 mount_LDFLAGS = $(SUID_LDFLAGS) $(AM_LDFLAGS)
 
 umount_SOURCES = sys-utils/umount.c
-umount_LDADD = $(LDADD) libcommon.la libmount.la
-umount_CFLAGS = $(AM_CFLAGS) $(SUID_CFLAGS) -I$(ul_libmount_incdir)
+umount_LDADD = $(LDADD) libcommon.la $(LIBMOUNT_UL_LIB)
+umount_CFLAGS = $(AM_CFLAGS) $(SUID_CFLAGS) $(LIBMOUNT_UL_INC)
 umount_LDFLAGS = $(SUID_LDFLAGS) $(AM_LDFLAGS)
 
 if HAVE_STATIC_MOUNT
@@ -280,14 +280,14 @@ swapon_SOURCES = \
 	lib/swapprober.c \
 	include/swapprober.h
 swapon_CFLAGS = $(AM_CFLAGS) \
-	-I$(ul_libblkid_incdir) \
-	-I$(ul_libmount_incdir) \
-	-I$(ul_libsmartcols_incdir)
+	$(LIBBLKID_UL_INC) \
+	$(LIBMOUNT_UL_INC) \
+	$(LIBSMARTCOLS_UL_INC)
 swapon_LDADD = $(LDADD) \
-	libblkid.la \
+	$(LIBBLKID_UL_LIB) \
 	libcommon.la \
-	libmount.la \
-	libsmartcols.la
+	$(LIBMOUNT_UL_LIB) \
+	$(LIBSMARTCOLS_UL_LIB)
 
 swapoff_SOURCES = \
 	sys-utils/swapoff.c \
@@ -296,11 +296,11 @@ swapoff_SOURCES = \
 	lib/swapprober.c \
 	include/swapprober.h
 swapoff_CFLAGS = $(AM_CFLAGS) \
-	-I$(ul_libblkid_incdir) \
-	-I$(ul_libmount_incdir)
+	$(LIBBLKID_UL_INC) \
+	$(LIBMOUNT_UL_INC)
 swapoff_LDADD = $(LDADD) \
-	libmount.la \
-	libblkid.la \
+	$(LIBMOUNT_UL_LIB) \
+	$(LIBBLKID_UL_LIB) \
 	libcommon.la
 endif
 
@@ -310,8 +310,8 @@ lscpu_SOURCES = \
 	sys-utils/lscpu.c \
 	sys-utils/lscpu.h \
 	sys-utils/lscpu-dmi.c
-lscpu_LDADD = $(LDADD) libcommon.la libsmartcols.la
-lscpu_CFLAGS = $(AM_CFLAGS) -I$(ul_libsmartcols_incdir)
+lscpu_LDADD = $(LDADD) libcommon.la $(LIBSMARTCOLS_UL_LIB)
+lscpu_CFLAGS = $(AM_CFLAGS) $(LIBSMARTCOLS_UL_INC)
 dist_man_MANS += sys-utils/lscpu.1
 endif
 
@@ -326,14 +326,14 @@ if BUILD_WDCTL
 bin_PROGRAMS += wdctl
 dist_man_MANS += sys-utils/wdctl.8
 wdctl_SOURCES = sys-utils/wdctl.c
-wdctl_LDADD = $(LDADD) libcommon.la libsmartcols.la
-wdctl_CFLAGS = $(AM_CFLAGS) -I$(ul_libsmartcols_incdir)
+wdctl_LDADD = $(LDADD) libcommon.la $(LIBSMARTCOLS_UL_LIB)
+wdctl_CFLAGS = $(AM_CFLAGS) $(LIBSMARTCOLS_UL_INC)
 endif
 
 if BUILD_MOUNTPOINT
 bin_PROGRAMS += mountpoint
-mountpoint_LDADD = $(LDADD) libmount.la
-mountpoint_CFLAGS = $(AM_CFLAGS) -I$(ul_libmount_incdir)
+mountpoint_LDADD = $(LDADD) $(LIBMOUNT_UL_LIB)
+mountpoint_CFLAGS = $(AM_CFLAGS) $(LIBMOUNT_UL_INC)
 dist_man_MANS += sys-utils/mountpoint.1
 mountpoint_SOURCES = sys-utils/mountpoint.c
 endif
@@ -362,7 +362,7 @@ usrbin_exec_PROGRAMS += unshare
 dist_man_MANS += sys-utils/unshare.1
 unshare_SOURCES = sys-utils/unshare.c
 unshare_LDADD = $(LDADD) libcommon.la
-unshare_CFLAGS = $(AM_CFLAGS) -I$(ul_libmount_incdir)
+unshare_CFLAGS = $(AM_CFLAGS) $(LIBMOUNT_UL_INC)
 
 if HAVE_STATIC_UNSHARE
 usrbin_exec_PROGRAMS += unshare.static
diff --git a/tests/helpers/Makemodule.am b/tests/helpers/Makemodule.am
index 66d85ba..d2a47d3 100644
--- a/tests/helpers/Makemodule.am
+++ b/tests/helpers/Makemodule.am
@@ -17,6 +17,6 @@ test_sigreceive_LDADD = $(LDADD) libcommon.la
 
 check_PROGRAMS += test_uuidd
 test_uuidd_SOURCES = tests/helpers/test_uuidd.c
-test_uuidd_LDADD =  $(LDADD) libcommon.la libuuid.la -lpthread
-test_uuidd_CFLAGS = $(AM_CFLAGS) -I$(ul_libuuid_incdir)
+test_uuidd_LDADD =  $(LDADD) libcommon.la $(LIBUUID_UL_LIB) -lpthread
+test_uuidd_CFLAGS = $(AM_CFLAGS) $(LIBUUID_UL_INC)
 
-- 
2.4.5

